﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public player1 As SimpleExoPlayer
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.

End Sub

Sub Service_Start (StartingIntent As Intent)
	player1.Initialize("player")
	create_event
	Dim sources As List
	sources.Initialize
	sources.Add(player1.CreateDashSource("http://www.youtube.com/api/manifest/dash/id/bf5bb2419360daf1/source/youtube?as=fmp4_audio_clear,fmp4_sd_hd_clear&sparams=ip,ipbits,expire,source,id,as&ip=0.0.0.0&ipbits=0&expire=19000000000&signature=51AF5F39AB0CEC3E5497CD9C900EBFEAECCCB5C7.8506521BFC350652163895D4C26DEE124209AA9E&key=ik0"))
	sources.Add(player1.CreateHLSSource("https://devimages.apple.com.edgekey.net/streaming/examples/bipbop_4x3/bipbop_4x3_variant.m3u8"))
	sources.Add(player1.CreateUriSource("http://html5demos.com/assets/dizzy.mp4"))
	player1.Prepare(player1.CreateListSource(sources))
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

Sub create_event
	Dim jo As JavaObject = player1
	jo = jo.GetField("player")
	Dim e As Object = jo.CreateEvent("com.google.android.exoplayer2.ExoPlayer.EventListener", "check", False)
	jo.RunMethod("addListener", Array As Object(e))
End Sub

Sub check_event (MethodName As String, Args() As Object) As Object
	Log("event: " & MethodName)
	Return True
End Sub
